### Constructor

# Eog RemotePresenter new

#### Declaration [src]

    GtkWidget*
    eog_remote_presenter_new (
      GtkWindow* parent,
      EogThumbView* thumbview,
      const gchar* next_image_action,
      const gchar* previous_image_action
    )

#### Description [src]

If %parent implements `GActionMap` its actions will be automatically inserted in the “win” namespace.

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent window.

  The data is owned by the caller of the function.

`thumbview`

  Type: `EogThumbView`

  No description available.

  The data is owned by the caller of the function.

`next_image_action`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`previous_image_action`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EogRemotePresenter`

A new `EogRemotePresenter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.